import 'package:tencent_im_sdk_plugin/models/v2_tim_user_full_info.dart';

class TRTCC2cUtils {
  static String getShowName(V2TimUserFullInfo info) {
    return info.nickName ?? info.userID!;
  }

  static String getDurationTimeString(Duration duration) {
    String line = "";
    if (duration.inHours != 0) {
      line = twoDigits(duration.inHours.remainder(24)) + ":";
    }
    line = line + twoDigits(duration.inMinutes.remainder(60)) + ":";
    line = line + twoDigits(duration.inSeconds.remainder(60));
    return line;
  }

  static String twoDigits(int n) {
    if (n >= 10) return "$n";
    return "0$n";
  }

  static double getOpacityByVis(bool vis) {
    return vis ? 1.0 : 0;
  }
}
